=head1 NAME

GStreamer::ChildProxy

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

To avoid a name clash with Glib::Object::get, gst_child_proxy_get and
gst_child_proxy_set are bound as I<GStreamer::ChildProxy::get_child_property>
and I<GStreamer::ChildProxy::set_child_property> respectively.

=cut



=head1 HIERARCHY

  Glib::Interface
  +----GStreamer::ChildProxy



=cut


=head1 METHODS

=head2 $object-E<gt>B<child_added> ($child)

=over

=item * $child (GStreamer::Object) 

=back

=head2 object or undef = $parent-E<gt>B<get_child_by_index> ($index)

=over

=item * $index (integer) 

=back

=head2 object or undef = $parent-E<gt>B<get_child_by_name> ($name)

=over

=item * $name (string) 

=back

=head2 list = $object-E<gt>B<get_child_property> ($property, ...)

=over

=item * $property (string) 

=item * ... (list) 

=back

=head2 $object-E<gt>B<set_child_property> ($property, $value, ...)

=over

=item * $property (string) 

=item * $value (scalar) 

=item * ... (list) 

=back

=head2 $object-E<gt>B<child_removed> ($child)

=over

=item * $child (GStreamer::Object) 

=back

=head2 integer = $parent-E<gt>B<get_children_count> 



=cut


=head1 SIGNALS

=over

=item B<child-added> (GStreamer::ChildProxy, Glib::Object)

=item B<child-removed> (GStreamer::ChildProxy, Glib::Object)

=back



=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Interface>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

